ESDCAT(1)

NAME
esdcat - play a sound file from stdin

SYNOPSIS

esdcat [-s hostname:port] ["-n" name] [-b] [-h] [-m] [-r freq] < file

DESCRIPTION

The esdcat application pipes data from stdin to the sound device, using the Enlightened Sound Daemon (esd).

OPTIONS

The following options are supported:

-s hostname:port
Contact the esd server on hostname at port.

-b
Specify that the output should be in 8-bit format. By default, the output is in 16-bit format.

-h
Display help text, and exit.

-m
Specify that the output should be in mono format. By default, the output is in stereo format.

-r freq
Specify that the output rate should be set to freq. By default, the output rate is set to 44.1 kHz.

EXAMPLES

Example 1: Playing a sound file "beep" from stdin

example% esdcat < beep

EXIT STATUS

The following exit values are returned:

0
Application exited successfully

>0
Application exited with failure

SEE ALSO
esd(1), esddsp(1), esdfilt(1), esdloop(1), esdplay(1), esdsample(1), esd-config(1), esdctl(1), esdmon(1), esdrec(1)